crypto api
MaintainedReviewed, not picked up (0)
Review trailers in, no mainline landing or maintainer Ack. Oldest first.
No reviewed patches awaiting pickup in this queue.
Most active threads (last 7 days)
No active threads in the last 7 days.
Recent patches
Latest 30 postings or standalone patches (up to 30), newest first. Counts below cover matching patches in linux-modules touching this subsystem.
- [PATCH] pkcs7: Check all signers before waiving authattrs rejection 2026-08-22 · Jérémy Jean <hidden>
-
2026-05-21 · Kees Cook <kees@kernel.org>
Convert moduleparams to seq_buf v1 · 1 matching patch
Entire posting: PENDING · 1 of 11 reviewed Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
-
2026-05-05 · Thomas Weißschuh <linux@weissschuh.net>
module: Introduce hash-based integrity checking v5 · 1 matching patch
Entire posting: PENDING · 4 of 14 reviewed Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
-
2026-04-18 · Jay Wang <hidden>
crypto: Standalone crypto module v2 · 15 matching patches
Entire posting: Pending Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v2 01/19] crypto: add Kconfig options for standalone crypto module 2026-04-18
- [PATCH v2 02/19] crypto: add module entry for standalone crypto kernel module 2026-04-18
- [PATCH v2 03/19] build: special compilation rule for building the standalone crypto module 2026-04-18
- [PATCH v2 04/19] build: Add ELF marker for crypto-objs-m modules 2026-04-18
- [PATCH v2 06/19] crypto: add pluggable interface for module symbols referenced by the main kernel 2026-04-18
- [PATCH v2 07/19] crypto: dedicated ELF sections for collected crypto initcalls 2026-04-18
- [PATCH v2 08/19] crypto: fips140: add crypto module loader 2026-04-18
- [PATCH v2 09/19] build: embed the standalone crypto module into vmlinux 2026-04-18
- [PATCH v2 11/19] build: add CONFIG_DEBUG_INFO_BTF_MODULES support for the standalone crypto kernel module 2026-04-18
- [PATCH v2 12/19] Allow selective crypto module loading at boot based on FIPS mode 2026-04-18
- [PATCH v2 13/19] Execute crypto initcalls during module initialization 2026-04-18
- [PATCH v2 14/19] crypto/algapi.c: skip crypto_check_module_sig() for the standalone crypto module 2026-04-18
- [PATCH v2 15/19] crypto: fips140: add module integrity self-check 2026-04-18
- [PATCH v2 16/19] crypto: convert exported symbols in architecture-independent crypto to pluggable symbols 2026-04-18
- [PATCH v2 19/19] Add standalone crypto kernel module technical documentation 2026-04-18
-
2026-02-12 · Jay Wang <hidden>
crypto: Standalone crypto module (Series 2/4): Arch-independent crypto v1 · 106 matching patches
Entire posting: Pending Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
Showing first 30 of 106 matching patches (preview limited to 30).
- [PATCH 001/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO and CONFIG_CRYPTO_ALGAPI2 crypto 2026-02-12
- [PATCH 002/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_AES crypto 2026-02-12
- [PATCH 003/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_AEAD2 crypto 2026-02-12
- [PATCH 004/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_GENIV crypto 2026-02-12
- [PATCH 005/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_SKCIPHER2 crypto 2026-02-12
- [PATCH 006/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_SEQIV crypto 2026-02-12
- [PATCH 007/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_ECHAINIV crypto 2026-02-12
- [PATCH 008/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_HASH2 crypto 2026-02-12
- [PATCH 009/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_AKCIPHER2 crypto 2026-02-12
- [PATCH 010/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_SIG2 crypto 2026-02-12
- [PATCH 011/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_KPP2 crypto 2026-02-12
- [PATCH 012/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_RSA crypto 2026-02-12
- [PATCH 013/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_ACOMP2 crypto 2026-02-12
- [PATCH 014/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_MANAGER2 crypto 2026-02-12
- [PATCH 015/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_CMAC crypto 2026-02-12
- [PATCH 016/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_HMAC crypto 2026-02-12
- [PATCH 017/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_MD5 crypto 2026-02-12
- [PATCH 018/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_SHA256 crypto 2026-02-12
- [PATCH 019/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_SHA512 crypto 2026-02-12
- [PATCH 020/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_SHA3 crypto 2026-02-12
- [PATCH 021/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_ECB crypto 2026-02-12
- [PATCH 022/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_CBC crypto 2026-02-12
- [PATCH 023/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_CTR crypto 2026-02-12
- [PATCH 024/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_GCM crypto 2026-02-12
- [PATCH 025/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_CCM crypto 2026-02-12
- [PATCH 026/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_AUTHENC crypto 2026-02-12
- [PATCH 027/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_LZO crypto 2026-02-12
- [PATCH 028/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_RNG2 crypto 2026-02-12
- [PATCH 029/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_DRBG crypto 2026-02-12
- [PATCH 030/106] crypto: convert exported crypto symbol into pluggable interface for CONFIG_CRYPTO_JITTERENTROPY crypto 2026-02-12
-
2026-02-12 · Jay Wang <hidden>
crypto: Standalone crypto module (Series 1/4): Core implementation v1 · 14 matching patches
Entire posting: Pending Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH 01/17] crypto: add Kconfig options for standalone crypto module 2026-02-12
- [PATCH 02/17] crypto: add module entry for standalone crypto kernel module 2026-02-12
- [PATCH 03/17] build: special compilation rule for building the standalone crypto module 2026-02-12
- [PATCH 04/17] build: Add ELF marker for crypto-objs-m modules 2026-02-12
- [PATCH 06/17] crypto: add pluggable interface for builtin crypto modules 2026-02-12
- [PATCH 07/17] crypto: dedicated ELF sections for collected crypto initcalls 2026-02-12
- [PATCH 08/17] crypto: fips140: add crypto module loader 2026-02-12
- [PATCH 09/17] build: embed the standalone crypto module into vmlinux 2026-02-12
- [PATCH 10/17] build: add CONFIG_DEBUG_INFO_BTF_MODULES support for the standalone crypto kernel module 2026-02-12
- [PATCH 11/17] Allow selective crypto module loading at boot based on FIPS mode 2026-02-12
- [PATCH 12/17] Execute crypto initcalls during module initialization 2026-02-12
- [PATCH 13/17] crypto/algapi.c: skip crypto_check_module_sig() for the standalone crypto module 2026-02-12
- [PATCH 14/17] crypto: fips140: add module integrity self-check 2026-02-12
- [PATCH 17/17] Add standalone crypto kernel module technical documentation 2026-02-12
-
2026-02-05 · David Howells <dhowells@redhat.com>
x509, pkcs7, crypto: Add ML-DSA signing v16 · 7 matching patches
Entire posting: PENDING · 4 of 8 reviewed Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v16 1/7] crypto: Add ML-DSA crypto_sig support 2026-02-02
- [PATCH v16 2/7] x509: Separately calculate sha256 for blacklist 2026-02-02
- [PATCH v16 3/7] pkcs7, x509: Rename ->digest to ->m 2026-02-02
- [PATCH v16 4/7] pkcs7: Allow the signing algo to do whatever digestion it wants itself 2026-02-02
- [PATCH v16 5/7] pkcs7, x509: Add ML-DSA support 2026-02-02
- [PATCH v16 7/7] pkcs7: Allow authenticatedAttributes for ML-DSA 2026-02-02
- [PATCH v16 8/7] pkcs7: Change a pr_warn() to pr_warn_once() 2026-02-05
-
2026-01-26 · David Howells <dhowells@redhat.com>
x509, pkcs7, crypto: Add ML-DSA signing v15 · 6 matching patches
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v15 1/7] crypto: Add ML-DSA crypto_sig support 2026-01-26
- [PATCH v15 2/7] x509: Separately calculate sha256 for blacklist 2026-01-26
- [PATCH v15 3/7] pkcs7, x509: Rename ->digest to ->m 2026-01-26
- [PATCH v15 4/7] pkcs7: Allow the signing algo to do whatever digestion it wants itself 2026-01-26
- [PATCH v15 5/7] pkcs7, x509: Add ML-DSA support 2026-01-26
- [PATCH v15 7/7] pkcs7: Allow authenticatedAttributes for ML-DSA 2026-01-26
-
2026-01-21 · David Howells <dhowells@redhat.com>
x509, pkcs7, crypto: Add ML-DSA and RSASSA-PSS signing v14 · 5 matching patches
Entire posting: PENDING · 1 of 5 reviewed Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v14 1/5] crypto: Add ML-DSA crypto_sig support 2026-01-21
- [PATCH v14 2/5] x509: Separately calculate sha256 for blacklist 2026-01-21
- [PATCH v14 3/5] pkcs7: Allow the signing algo to do whatever digestion it wants itself 2026-01-21
- [PATCH v14 4/5] pkcs7, x509: Add ML-DSA support 2026-01-21
- [PATCH v14 5/5] modsign: Enable ML-DSA module signing 2026-01-21
-
2026-01-20 · David Howells <dhowells@redhat.com>
x509, pkcs7, crypto: Add ML-DSA and RSASSA-PSS signing v13 · 11 matching patches
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v13 01/12] crypto: Add ML-DSA crypto_sig support 2026-01-20
- [PATCH v13 02/12] pkcs7: Allow the signing algo to calculate the digest itself 2026-01-20
- [PATCH v13 03/12] pkcs7: Allow direct signing of data with ML-DSA 2026-01-20
- [PATCH v13 04/12] pkcs7, x509: Add ML-DSA support 2026-01-20
- [PATCH v13 05/12] modsign: Enable ML-DSA module signing 2026-01-20
- [PATCH v13 06/12] crypto: Add supplementary info param to asymmetric key signature verification 2026-01-20
- [PATCH v13 07/12] crypto: Add RSASSA-PSS support 2026-01-20
- [PATCH v13 08/12] pkcs7, x509: Add RSASSA-PSS support 2026-01-20
- [PATCH v13 10/12] pkcs7: Add FIPS selftest for RSASSA-PSS 2026-01-20
- [PATCH v13 11/12] x509, pkcs7: Limit crypto combinations that may be used for module signing 2026-01-20
- [PATCH v13 12/12] pkcs7: Add ML-DSA FIPS selftest 2026-01-20
-
2026-01-15 · David Howells <dhowells@redhat.com>
x509, pkcs7, crypto: Add ML-DSA and RSASSA-PSS signing v12 · 9 matching patches
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v12 01/10] crypto: Add ML-DSA crypto_sig support 2026-01-15
- [PATCH v12 02/10] pkcs7: Allow the signing algo to calculate the digest itself 2026-01-15
- [PATCH v12 03/10] pkcs7: Allow direct signing of data with ML-DSA 2026-01-15
- [PATCH v12 04/10] pkcs7, x509: Add ML-DSA support 2026-01-15
- [PATCH v12 05/10] modsign: Enable ML-DSA module signing 2026-01-15
- [PATCH v12 06/10] crypto: Add supplementary info param to asymmetric key signature verification 2026-01-15
- [PATCH v12 07/10] crypto: Add RSASSA-PSS support 2026-01-15
- [PATCH v12 08/10] pkcs7, x509: Add RSASSA-PSS support 2026-01-15
- [PATCH v12 10/10] x509, pkcs7: Limit crypto combinations that may be used for module signing 2026-01-15
-
2026-01-05 · David Howells <dhowells@redhat.com>
x509, pkcs7, crypto: Add ML-DSA and RSASSA-PSS signing v11 · 7 matching patches
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v11 1/8] crypto: Add ML-DSA crypto_sig support 2026-01-05
- [PATCH v11 2/8] pkcs7: Allow the signing algo to calculate the digest itself 2026-01-05
- [PATCH v11 3/8] pkcs7, x509: Add ML-DSA support 2026-01-05
- [PATCH v11 4/8] modsign: Enable ML-DSA module signing 2026-01-05
- [PATCH v11 5/8] crypto: Add supplementary info param to asymmetric key signature verification 2026-01-05
- [PATCH v11 6/8] crypto: Add RSASSA-PSS support 2026-01-05
- [PATCH v11 7/8] pkcs7, x509: Add RSASSA-PSS support 2026-01-05
- [PATCH] KEYS: replace -EEXIST with -EBUSY 2025-12-20 · Daniel Gomez <da.gomez@kernel.org>
-
2025-12-14 · Eric Biggers <ebiggers@kernel.org>
lib/crypto: ML-DSA verification support v4 · 1 matching patch
Entire posting: LANDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
-
2025-12-03 · Eric Biggers <ebiggers@kernel.org>
lib/crypto: ML-DSA verification support v3 · 1 matching patch
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
-
2025-11-26 · Eric Biggers <ebiggers@kernel.org>
lib/crypto: ML-DSA verification support v2 · 1 matching patch
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
-
2025-11-20 · David Howells <dhowells@redhat.com>
lib/crypto: Add ML-DSA signing [WIP] v10 · 5 matching patches
Entire posting: Pending Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v10 1/8] lib/crypto: Add ML-DSA verification support 2025-11-20
- [PATCH v10 5/8] crypto: Add ML-DSA crypto_sig support 2025-11-20
- [PATCH v10 6/8] pkcs7: Allow the signing algo to calculate the digest itself 2025-11-20
- [PATCH v10 7/8] pkcs7, x509: Add ML-DSA support 2025-11-20
- [PATCH v10 8/8] modsign: Enable ML-DSA module signing 2025-11-20
-
2025-11-20 · Eric Biggers <ebiggers@kernel.org>
lib/crypto: ML-DSA verification support v1 · 1 matching patch
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
-
2025-11-17 · David Howells <dhowells@redhat.com>
lib/crypto: Add ML-DSA signing v9 · 5 matching patches
Entire posting: Pending Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v9 1/9] crypto: Add support for shake256 through crypto_shash 2025-11-17
- [PATCH v9 3/9] mldsa: Add a simpler API 2025-11-17
- [PATCH v9 7/9] pkcs7: Allow the signing algo to calculate the digest itself 2025-11-17
- [PATCH v9 8/9] pkcs7, x509: Add ML-DSA support 2025-11-17
- [PATCH v9 9/9] modsign: Enable ML-DSA module signing 2025-11-17
-
2025-11-14 · David Howells <dhowells@redhat.com>
lib/crypto: Add ML-DSA signing v8 · 5 matching patches
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v8 1/9] crypto: Add support for shake256 through crypto_shash 2025-11-14
- [PATCH v8 3/9] mldsa: Add a simpler API 2025-11-14
- [PATCH v8 7/9] pkcs7: Allow the signing algo to calculate the digest itself 2025-11-14
- [PATCH v8 8/9] pkcs7, x509: Add ML-DSA support 2025-11-14
- [PATCH v8 9/9] modsign: Enable ML-DSA module signing 2025-11-14
-
2025-11-07 · David Howells <dhowells@redhat.com>
lib/crypto: Add ML-DSA signing v7 · 8 matching patches
Entire posting: SUPERSEDED Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v7 1/8] crypto: Add support for shake256 through crypto_shash 2025-11-06
- [PATCH v7 2/8] crypto: Add ML-DSA/Dilithium verify support 2025-11-06
- [PATCH v7 3/8] crypto: Add ML-DSA-44 pure rejection test vectors as a kunit test 2025-11-06
- [PATCH v7 4/8] crypto: Add ML-DSA-65 pure rejection test vectors as a kunit test 2025-11-06
- [PATCH v7 5/8] crypto: Add ML-DSA-87 pure rejection test vectors as a kunit test 2025-11-06
- [PATCH v7 6/8] pkcs7: Allow the signing algo to calculate the digest itself 2025-11-06
- [PATCH v7 7/8] pkcs7, x509: Add ML-DSA support 2025-11-06
- [PATCH v7 8/8] modsign: Enable ML-DSA module signing 2025-11-07
-
2025-10-17 · David Howells <dhowells@redhat.com>
lib/crypto: Move SHA3 to lib/crypto, add SHAKE* and add ML-DSA signing v6 · 13 matching patches
Entire posting: PENDING · 1 of 17 reviewed Open cover letterLifecycle progress covers the full posting, including patches outside this subsystem and inbox.
- [PATCH v6 03/17] lib/crypto: Add SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHAKE128, SHAKE256 2025-10-17
- [PATCH v6 06/17] crypto/jitterentropy: Use lib/crypto/sha3 2025-10-17
- [PATCH v6 07/17] crypto/sha3: Use lib/crypto/sha3 2025-10-17
- [PATCH v6 08/17] crypto/sha3: Add SHAKE128/256 support 2025-10-17
- [PATCH v6 09/17] crypto: SHAKE tests 2025-10-17
- [PATCH v6 10/17] crypto: Add ML-DSA/Dilithium support 2025-10-17
- [PATCH v6 11/17] crypto: Add ML-DSA/Dilithium keypair generation support 2025-10-17
- [PATCH v6 12/17] crypto: Add ML-DSA-44 pure rejection test vectors as a kunit test 2025-10-17
- [PATCH v6 13/17] crypto: Add ML-DSA-65 pure rejection test vectors as a kunit test 2025-10-17
- [PATCH v6 14/17] crypto: Add ML-DSA-87 pure rejection test vectors as a kunit test 2025-10-17
- [PATCH v6 15/17] pkcs7: Allow the signing algo to calculate the digest itself 2025-10-17
- [PATCH v6 16/17] pkcs7, x509: Add ML-DSA support 2025-10-17
- [PATCH v6 17/17] modsign: Enable ML-DSA module signing 2025-10-17
- [PATCH RFC 103/104] Documentation/crypto: add fips140.rst 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 100/104] crypto: fips140: add standalone FIPS 140 module 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 101/104] crypto: fips140: add FIPS 140 module loader 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 096/104] crypto: fips140: manual fixups for include/crypto/aes.h 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 095/104] crypto: fips140: manual fixups for include/crypto/internal/rsa.h 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 093/104] crypto: fips140: manual fixups for crypto/internal.h 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 094/104] crypto: fips140: manual fixups for include/crypto/internal/ecc.h 2025-09-04 · Vegard Nossum <hidden>
- [PATCH RFC 092/104] crypto: fips140: manual fixups for include/crypto/aes.h 2025-09-04 · Vegard Nossum <hidden>
Quiet for 30+ days (1)
Patches with no review trailers and no replies. Oldest first.
- [PATCH v2 01/19] crypto: add Kconfig options for standalone crypto module +18 more in this series 2026-04-18 · Jay Wang <hidden>